org.keycloak.dom.saml.v2.assertion

## Class NameIDType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.BaseIDAbstractType
  - - org.keycloak.dom.saml.v2.assertion.NameIDType

- All Implemented Interfaces:
    Serializable

      public class NameIDType
      extends BaseIDAbstractType

  Represents a NameIDType
  Since:
    Nov 24, 2010
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIDType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NameIDType` | `deserializeFromString(String s)`
    `URI` | `getFormat()`
    `String` | `getsPProvidedID()`
    `String` | `getSPProvidedID()`
    `String` | `getValue()`
    `String` | `serializeAsString()`
    `void` | `setFormat(URI format)`
    `void` | `setsPProvidedID(String sPProvidedID)`
    `void` | `setSPProvidedID(String sPProvidedID)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.assertion.BaseIDAbstractType

      `getNameQualifier, getSPNameQualifier, setNameQualifier, setSPNameQualifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameIDType

          public NameIDType()

  - ### Method Detail

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getsPProvidedID

          public String getsPProvidedID()

    - #### setsPProvidedID

          public void setsPProvidedID(String sPProvidedID)

    - #### getFormat

          public URI getFormat()

    - #### setFormat

          public void setFormat(URI format)

    - #### getSPProvidedID

          public String getSPProvidedID()

    - #### setSPProvidedID

          public void setSPProvidedID(String sPProvidedID)

    - #### serializeAsString

          public String serializeAsString()

    - #### deserializeFromString

          public static NameIDType deserializeFromString(String s)

Copyright © 2021 JBoss by Red Hat. All rights reserved.